# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import news_classifier_pb2 as news__classifier__pb2


class NewsClassifierStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.startTraining = channel.unary_unary(
                '/NewsClassifier/startTraining',
                request_serializer=news__classifier__pb2.TrainingConfig.SerializeToString,
                response_deserializer=news__classifier__pb2.TrainingStatus.FromString,
                )
        self.classify = channel.unary_unary(
                '/NewsClassifier/classify',
                request_serializer=news__classifier__pb2.NewsText.SerializeToString,
                response_deserializer=news__classifier__pb2.NewsCategory.FromString,
                )
        self.get_metrics_metadata = channel.unary_unary(
                '/NewsClassifier/get_metrics_metadata',
                request_serializer=news__classifier__pb2.TrainingStatus.SerializeToString,
                response_deserializer=news__classifier__pb2.TrainingStatus.FromString,
                )


class NewsClassifierServicer(object):
    """Missing associated documentation comment in .proto file."""

    def startTraining(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def classify(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_metrics_metadata(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_NewsClassifierServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'startTraining': grpc.unary_unary_rpc_method_handler(
                    servicer.startTraining,
                    request_deserializer=news__classifier__pb2.TrainingConfig.FromString,
                    response_serializer=news__classifier__pb2.TrainingStatus.SerializeToString,
            ),
            'classify': grpc.unary_unary_rpc_method_handler(
                    servicer.classify,
                    request_deserializer=news__classifier__pb2.NewsText.FromString,
                    response_serializer=news__classifier__pb2.NewsCategory.SerializeToString,
            ),
            'get_metrics_metadata': grpc.unary_unary_rpc_method_handler(
                    servicer.get_metrics_metadata,
                    request_deserializer=news__classifier__pb2.TrainingStatus.FromString,
                    response_serializer=news__classifier__pb2.TrainingStatus.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'NewsClassifier', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class NewsClassifier(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def startTraining(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/NewsClassifier/startTraining',
            news__classifier__pb2.TrainingConfig.SerializeToString,
            news__classifier__pb2.TrainingStatus.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def classify(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/NewsClassifier/classify',
            news__classifier__pb2.NewsText.SerializeToString,
            news__classifier__pb2.NewsCategory.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_metrics_metadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/NewsClassifier/get_metrics_metadata',
            news__classifier__pb2.TrainingStatus.SerializeToString,
            news__classifier__pb2.TrainingStatus.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
